//#include <iostream.h>
#include <string>
#include <iterator>
#include <vector>

using namespace std;

#define GET_VERSION	"GET Version"
#define EXECUTE		"EXECUTE "
#define SECURITYLV	"SecurityLevel: "
#define CHARSET		"Charset: "
#define SENDER		"Sender: "
#define ARGUMENT	"Argument"

class util
{
	basic_string <char>::size_type indexChar, endChar;
	static const basic_string <char>::size_type npos = -1;
	string saoriReq;
	string saoriVer;
	string saoriSecLV;
	string saoriChar;
	string saoriSender;
	vector <string> saoriArg;
	unsigned int saoriArgSize;

public:
	util(string Request);

	string getSAORIREQ(string Request);
	string getSAORIVER(string Request);
	string getSAORISECLV(string Request);
	string getSAORICHAR(string Request);
	string getSAORISENDER(string Request);
	int getSAORIARG(string Request);

	string showSAORIREQ();
	string showSAORIVER();
	string showSAORISECLV();
	string showSAORICHAR();
	string showSAORISENDER();
	string showSAORIARG(int Request);

	static int IntLen(int Request);
	static string IntToString(int Request);
};
